Bug 991721 - Video applications using libdvdnav runs correctly with SATA DVD reader but fails with USB DVD reader
Video applications using libdvdnav runs correctly with SATA DVD reader but fa...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libdvdnav (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-03 23:34 EDT by Alex Villacís Lasso
Modified: 2015-02-13 08:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-13 08:54:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Villacís Lasso 2013-08-03 23:34:38 EDT
Description of problem:
Some complex DVD menus that are correctly rendered when played on a SATA DVD reader will instead fail to work, appear corrupted, randomly freeze, or even make the video program segfault when read from an USB DVD reader, *on the same system, using the same programs*. By testing the DVD itself using dvdisaster on both the SATA reader (/dev/sr0) and the USB reader (/dev/sr1), I could check that the DVD itself is completely readable, and that both readers can read it. The only difference I find is one of speed. The USB reader is about less than half the speed of the SATA reader.

This issue does not depend on the order of detection. The issue was first detected on an Acer Aspire One netbook that does not have an internal DVD reader, and requires the external USB reader to read DVDs, as /dev/sr0.

The SATA reader reports itself as:
[    0.510149] ata4.00: ATAPI: Optiarc DVD RW AD-7280S, 1.01, max UDMA/100
[    0.516142] ata4.00: configured for UDMA/100
[    0.549562] scsi 3:0:0:0: CD-ROM            Optiarc  DVD RW AD-7280S  1.01 PQ: 0 ANSI: 5
[    0.551543] sr0: scsi3-mmc drive: 48x/48x writer dvd-ram cd/rw xa/form2 cdda tray

The USB reader reports itself as:
[ 3355.362043] usb 1-5: new high-speed USB device number 2 using ehci-pci
[ 3355.483199] usb 1-5: New USB device found, idVendor=0e8d, idProduct=1887
[ 3355.483205] usb 1-5: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 3355.483207] usb 1-5: Product: MT1887 
[ 3355.483210] usb 1-5: Manufacturer: MediaTek Inc
[ 3355.483212] usb 1-5: SerialNumber: KZ5D1N10115         
[ 3356.568387] usb-storage 1-5:1.0: USB Mass Storage device detected
[ 3356.572043] scsi4 : usb-storage 1-5:1.0
[ 3356.572833] usbcore: registered new interface driver usb-storage
[ 3357.579696] scsi 4:0:0:0: CD-ROM            HL-DT-ST DVDRAM GP50NB40  1.00 PQ: 0 ANSI: 0
[ 3357.600769] sr1: scsi3-mmc drive: 24x/24x writer dvd-ram cd/rw xa/form2 cdda tray
[ 3357.601804] sr 4:0:0:0: Attached scsi CD-ROM sr1
[ 3357.604267] sr 4:0:0:0: Attached scsi generic sg3 type 5


Version-Release number of selected component (if applicable):
totem-3.6.3-2.fc18.x86_64
gnome-mplayer-1.0.8-1.fc18.x86_64
mplayer-1.1-4.20121008svn.fc18.x86_64
libdvdnav-4.2.0-3.fc18.x86_64
libdvdnav-4.2.0-3.fc18.i686
libdvdread-4.2.0-3.fc18.x86_64
libdvdread-4.2.0-3.fc18.i686


How reproducible:
Almost always, depending on chosen disc

Steps to Reproduce:
1. Get a movie DVD with a complex DVD menu that can be rendered by totem
2. Get a system with a SATA DVD reader
3. Get an USB DVD reader (mine is an LG GP50NB40) and plug it in the system with the SATA reader
4. Put the DVD in the SATA reader and open it with totem. Check whether the menus work and the movie can be started. This is the baseline.
5. If the movie could be started on the SATA reader, move the DVD to the USB reader and attempt to use the same sequence of operations.

Actual results:
A DVD menu that worked on the SATA reader fails with the USB reader. The exact nature of the failure varies, but it includes up to segfaulting on libdvdnav.

Expected results:
The DVD menu should behave exactly the same in the USB and SATA readers, with the possible exception of speed or skipping audio/video.

Additional info:
Comment 1 Dominik 'Rathann' Mierzejewski 2013-08-06 03:45:04 EDT
Please provide the segfault backtrace and the error messages from libdvdnav.
Comment 2 Alex Villacís Lasso 2013-08-08 22:03:04 EDT
The following appeared under mplayer when trying to navigate using the USB SATA reader. The last two lines repeat forever and the video freezes until quit. No such freeze or messages appear with the SATA reader, even though the CHECK_VALUE message still appears.

*** libdvdread: CHECK_VALUE failed in /builddir/build/BUILD/libdvdread-4.2.0/src/nav_read.c:264 ***
*** for dsi->dsi_gi.zero1 == 0 ***


*** libdvdread: CHECK_VALUE failed in /builddir/build/BUILD/libdvdread-4.2.0/src/nav_read.c:264 ***
*** for dsi->dsi_gi.zero1 == 0 ***


*** libdvdread: CHECK_VALUE failed in /builddir/build/BUILD/libdvdread-4.2.0/src/nav_read.c:264 ***
*** for dsi->dsi_gi.zero1 == 0 ***


*** libdvdread: CHECK_VALUE failed in /builddir/build/BUILD/libdvdread-4.2.0/src/nav_read.c:264 ***
*** for dsi->dsi_gi.zero1 == 0 ***

libdvdnav: demux error! 00 00 00 (should be 0x000001) 
DVDNAV stream read error!
[ac3 @ 0x7ffff60dfe60]incomplete frame
libdvdnav: demux error! 00 00 00 (should be 0x000001) 
DVDNAV stream read error!
libdvdnav: demux error! 00 00 00 (should be 0x000001) 
DVDNAV stream read error!
libdvdnav: demux error! 00 00 00 (should be 0x000001) 
DVDNAV stream read error!
libdvdnav: demux error! 00 00 00 (should be 0x000001) 
DVDNAV stream read error!
libdvdnav: demux error! 00 00 00 (should be 0x000001) 
DVDNAV stream read error!
libdvdnav: demux error! 00 00 00 (should be 0x000001) 
DVDNAV stream read error!
libdvdnav: demux error! 00 00 00 (should be 0x000001) 
DVDNAV stream read error!
libdvdnav: demux error! 00 00 00 (should be 0x000001) 
DVDNAV stream read error!
libdvdnav: demux error! 00 00 00 (should be 0x000001) 
DVDNAV stream read error!
libdvdnav: demux error! 00 00 00 (should be 0x000001)
Comment 3 Dominik 'Rathann' Mierzejewski 2013-12-20 03:29:04 EST
Sorry, I didn't have time to look at this yet, but I do have an external USB DVD reader, so I'll try to reproduce this over the Christmas holidays.
Comment 4 Fedora End Of Life 2013-12-21 09:25:41 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Alex Villacís Lasso 2013-12-21 14:04:30 EST
Still present with Fedora 20.
Comment 6 Alex Villacís Lasso 2013-12-21 14:13:33 EST
BTW, libdvdnav 4.2.1 is now available. Fedora 20 has 4.2.0.
Comment 7 Alex Villacís Lasso 2013-12-21 14:57:14 EST
Compiled 4.2.1 versions of libdvdnav and libdvdread, but they do not solve the issue.
Comment 8 Dominik 'Rathann' Mierzejewski 2013-12-27 16:54:11 EST
4.2.1 is now in F20 updates. I checked my external DVD reader and it seems it doesn't work, so I'm unable to reproduce your issue. If you have a reproducible test case, then either provide full details here or post to dvdnav-discuss@mplayerhq.hu.
Comment 9 karlitos 2014-05-06 10:50:55 EDT
I am running Fedora 20 64bit and using libdvdnav in version libdvdnav-4.2.1-1.fc20.x86_64.

I am using external USB DVD-reader and the navigation in DVD menues is not working properly. If I start theParole media player I see following:

*** Zero check failed in /builddir/build/BUILD/libdvdread-4.2.1/src/ifo_read.c:576
    for vmgi_mat->zero_6 = 0x0000001000000000000000000000000000000000000000000000000000000000
libdvdnav: Using dvdnav version 4.2.1
*** Zero check failed in /builddir/build/BUILD/libdvdread-4.2.1/src/ifo_read.c:576
    for vmgi_mat->zero_6 = 0x0000001000000000000000000000000000000000000000000000000000000000

When I plug the drive in it shows:

[ 5794.760097] usb 3-4: new high-speed USB device number 10 using xhci_hcd
[ 5794.925549] usb 3-4: New USB device found, idVendor=05e3, idProduct=0701
[ 5794.925558] usb 3-4: New USB device strings: Mfr=0, Product=1, SerialNumber=0
[ 5794.925562] usb 3-4: Product: USB TO IDE
[ 5794.926605] usb-storage 3-4:1.0: USB Mass Storage device detected
[ 5794.927426] usb-storage 3-4:1.0: Quirks match for vid 05e3 pid 0701: 520
[ 5794.927490] scsi10 : usb-storage 3-4:1.0
[ 5795.933205] scsi 10:0:0:0: CD-ROM            TEAC     DV-W24ES         S.0A PQ: 0 ANSI: 0
[ 5795.947237] sr0: scsi3-mmc drive: 24x/24x writer dvd-ram cd/rw xa/form2 cdda tray
[ 5795.948813] sr 10:0:0:0: Attached scsi CD-ROM sr0
[ 5795.951066] sr 10:0:0:0: Attached scsi generic sg2 type 5
Comment 10 Dominik 'Rathann' Mierzejewski 2014-10-02 09:12:00 EDT
Can you try with latest libdvdnav in updates-testing?

https://admin.fedoraproject.org/updates/FEDORA-2014-11482
Comment 11 Dominik 'Rathann' Mierzejewski 2015-02-13 08:54:11 EST
libdvdnav was updated to 5.0.3 in the meantime and there were a lot of bugs fixed. I'm closing this. Please reopen if this is still happening.

Note You need to log in before you can comment on or make changes to this bug.